Bug 111654 - segfault - 0x48c29d9a in strcmp () from /lib/ld-linux.so.2
segfault - 0x48c29d9a in strcmp () from /lib/ld-linux.so.2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 19:16 EST by Ted Kaczmarek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 07:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2003-12-07 19:16:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031129 Epiphany/1.0.6

Description of problem:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -150444128 (LWP 19701)]
0x48c29d9a in strcmp () from /lib/ld-linux.so.2
(gdb) exit



Version-Release number of selected component (if applicable):
glibc-2.3.2-101.1 kernel-smp-2.6.0-0.test11.1.99

How reproducible:
Always

Steps to Reproduce:
1.Build ntop from cvs
2. atempt to run
3. segfaults
    

Actual Results:  [Switching to Thread -150444128 (LWP 19701)]
0x48c29d9a in strcmp () from /lib/ld-linux.so.2


Expected Results:  ntop runs

Additional info:

Error when trying to run ntop built from cvs. It runs im terminal ok,
on a different i686 with 2.4.22-1.2129.nptl. Added the libs for ntop
to ld.so.conf and ran ldconfig. Let me know what other info will be of
use.
Comment 1 Jakub Jelinek 2004-01-12 06:05:15 EST
See what the app is doing for LD_DEBUG=all ./ntop
Also, readelf -Wa dumps of the shared libs it is loading other than
the system ones and the ntop binary could help.

Note You need to log in before you can comment on or make changes to this bug.